[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TDBEventTypes

Set of database event types

## Declaration

Source position: sqldb.pp line 29

`type TDBEventTypes = sqltypes.TDBEventTypes;`

## Description

TDBEventTypes is a set of TDBEventType values, which is used to filter the set of event messages that should be sent. The TSQLConnection.LogEvents property determines which events a particular connection will send.

## See also

TSQLConnection.LogEvents |  | Filter for events to log
TDBLogNotifyEvent |  | Event handler prototype for handling events
GlobalDBLogHook |  | Global logging hook